[Prev: MAXSIZE] | [Resources][TOC] | [Next: MIMEALTPREFS]

# MHPATTERN

- Syntax
- Description
- Default Setting
- Resource Variables
- Examples
- Version
- See Also

## Syntax

Envariable

  `M2H_MHPATTERN=`Perl-regexp

Element

  `<MHPATTERN>
  ` Perl-regexp
  `</MHPATTERN>
  `

Command-line Option

  `-mhpattern` Perl-regexp

## Description

MHPATTERN defines the Perl regular expression to use for matching message files in an MH mail folder. In general, MHPATTERN allows you to tell MHonArc which message files to read when a specified mail folder is a directory.

## Default Setting

    ^\d+$

## Resource Variables

N/A

## Examples

The following example shows how you can tell MHonArc to process every non-dotfile in a directory:

        % mhonarc -add -mhpattern '^[^\.]' msgdir

Remember, each file in `msgdir` must be a single mail message.

Be careful in that the regexp you define does not match "`.`" and "`..`".

## Version

2.0

## See Also

[Prev: MAXSIZE] | [Resources][TOC] | [Next: MIMEALTPREFS]